### Encoding: latin1

### Name: seqformat
### Title: Translation between sequence formats
### Aliases: seqformat
### Keywords: manip

### ** Examples

## Converting sequences into SPS format
data(actcal)
actcal.SPS.A <- seqformat(actcal,13:24, from="STS", to="SPS")
head(actcal.SPS.A)

## SPS (compressed) format with no prefix/suffix "/" as state/duration separator
actcal.SPS.B <- seqformat(actcal,13:24, 
        from="STS", to="SPS", compressed=TRUE, 
        SPS.out=list(xfix="", sdsep="/"))
head(actcal.SPS.B)

## Converting sequences into DSS (compressed) format 
actcal.DSS <- seqformat(actcal,13:24, 
        from="STS", to="DSS", compressed=TRUE)
head(actcal.DSS)



