### Encoding: latin1

### Name: seqiplot
### Title: Visualization of individual sequences
### Aliases: seqiplot
### Keywords: hplot

### ** Examples

## Plotting the first 10 sequences in the 'actcal' example data set
data(actcal)
seqiplot(seqdef(actcal,13:24))

## Plotting the all the sequences in the 'biofam' example data set
## using 'border=NA' and 'space=0' options to have a nicier plot
data(biofam)
seqiplot(seqdef(biofam,10:25),tlim=0, border=NA, space=0)

## Plotting the all the sequences in the 'mvad' example data set
## by levels of the 'gcse5eq' factor
data(mvad)
seqiplot(seqdef(mvad,15:86), group=mvad$gcse5eq, 
tlim=0, border=NA, space=0)

## The same plot without legend, axes and 
## ylab
data(mvad)
seqiplot(seqdef(mvad,15:86), group=mvad$gcse5eq, 
tlim=0, border=NA, space=0,
axes=FALSE, ylab=NA)



